[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomFrame.CMParentColorChanged

Handles the CM_PARENTCOLORCHANGED message for the control.

## Declaration

Source position: forms.pp line 329

`protected procedure TCustomFrame.CMParentColorChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

CMParentColorChanged is an overridden method in TCustomFrame. It calls the inherited method on entry to update the values in Color and ParentColor. If the control has finished loading using the LCL component streaming mechanism, the UpdateOpaque method is called to update flag values in the ControlStyle property. ControlStyle is not updated if csLoading is included in the ComponentState property.

## See also

TCustomFrame.UpdateOpaque |  | Updates control style flags to reflect the transparency for the frame.
TControl.CMParentColorChanged |  | Handles a CM_PARENTCOLORCHANGED message for the control.
TControl.ParentColor |  | Use the Color from the Parent control, when enabled.
TControl.Color |  | The background color for the control.
TComponent.ComponentState